> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Work Location

> Creates a Work Location for a specific company. You will receive an error if you try to create two work locations with the same combination of taxableLocationID and work_site_id.



## OpenAPI

````yaml openapi/zeal-api.json post /workLocations
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /workLocations:
    post:
      summary: Create Work Location
      description: Creates a Work Location for a company within Zeal.
      operationId: create-work-location
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - taxableLocationID
              properties:
                companyID:
                  type: string
                  description: The ID of an existing Company Object
                taxableLocationID:
                  type: string
                  description: The ID of an existing Taxable Locations Object
                name:
                  type: string
                  description: A name for the new Work Location
                work_site_id:
                  type: string
                  description: Optional custom Work Site ID for your own reporting purposes
            examples:
              Request Example:
                value:
                  companyID: '1234567890'
                  taxableLocationID: 609ffdf81a5f9c4c10b0c443
                  name: SF Office
                  zip: '94105'
                  work_site_id: SF
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: '1234567890'
                      workLocationID: 573hfjd39854fh32
                      taxableLocationID: 609ffdf81a5f9c4c10b0c443
                      name: SF Office
                      work_site_id: SF
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: '1234567890'
                      workLocationID:
                        type: string
                        example: 573hfjd39854fh32
                      taxableLocationID:
                        type: string
                        example: 609ffdf81a5f9c4c10b0c443
                      name:
                        type: string
                        example: SF Office
                      work_site_id:
                        type: string
                        example: SF
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: 'Failed to create Work Location: Error'
                        code: 60
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: 'Failed to create Work Location: Error'
                        code:
                          type: integer
                          example: 60
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````